Aktuell

Anleitung: Unbekanntes USB-Gerät als Massenspeicher einbinden

Fast alle Geräte einschlägig bekannter Hersteller werden unter Linux ohne weitere Treiber erkannt und automatisch eingebunden.

Nun kommt mir zum 1. Mal ein MP3-Player in die Finger, der nicht erkannt wird (Odys MPX38). Nach etwas Suchen habe ich jedoch herausgefunden, wie das Problem zu lösen ist:

1. Hersteller(Vendor) und Product-ID ermitteln (siehe Kernelmeldungen, Befehl: dmesg) 2. Udev-Regel erstellen, z.B. nano /etc/udev/rules.d/10-local.rules und folgende Zeile ergänzen: {{{#odys mpx38 BUS="usb", idVendor=071b, idProduct=3202, NAME="sd%n", SYMLINK="odys" }}}

3. udev-Dienst (oder Rechner) neu starten und nochmal versuchen...

Ref: Hinweis zur Lösung

Samba muckt ab static240

Wenn ich einer Workstation per dhcpd.conf eine IP>10.0.2.240 zuweise (static190) zuordne, erhält diese ihre IP und lässt sich unter Linux auch am LDAP anmelden; wenn Windows gebootet wird, wird gemeldet "Domäne nicht verfügbar".

Hier ein Ausschnitt aus /etc/bind/debian-edu/db.intern {{{; Static addresses in 10.0.2/24 $GENERATE 0-99 static${0,2} A 10.0.2.${50} $GENERATE 0-105 static${100,3} A 10.0.2.${150} }}}

in /etc/bind/debian-edu/db.10 sieht der Block entsprechend so aus:

; Reserve some addresses for staticly assigned addresses
$GENERATE 0-99 ${50}.2                  PTR     static${0,2}.intern.
$GENERATE 0-105 ${150}.2                PTR     static${100,3}.intern.

Mit ping wird static 191 auch aufgelöst, aber der Windows-Client (Zustand: Anmeldeschirm) antwortet nur sporadisch.

Promethean Activeboard

{{{[ 1358.756029] eth0: no IPv6 routers present [ 2042.008065] usb 3-1: new full speed USB device using uhci_hcd and address 2 [ 2042.188406] usb 3-1: New USB device found, idVendor=0d48, idProduct=0001 [ 2042.188419] usb 3-1: New USB device strings: Mfr=4, Product=42, SerialNumber=0 [ 2042.188429] usb 3-1: Product: ACTIVboard [ 2042.188436] usb 3-1: Manufacturer: Promethean Limited [ 2042.188717] usb 3-1: configuration #1 chosen from 1 choice [ 2042.737467] usbcore: registered new interface driver hiddev [ 2042.737728] usbcore: registered new interface driver usbhid [ 2042.737958] usbhid: v2.6:USB HID core driver }}}

Inhaltsverzeichnis (ls) als Bild ausgeben

Mit convert ganz einfach, wenn man weiß, wie von STDIN gelesen wird und wie der Typ "txt" angegeben werden muss. (Weitere Optionen wie Zeichensatz/Schriftformat werden hier beschrieben):

{{{$ ls | convert txt: png:bild.png $ ls *.jpg | convert -trim -pointsize 20 txt: png:Inhalt.png }}}

Der 2. Befehl schneidet den überflüssigen Rahmen weg und erzeugt eine Schriftgröße für ein TV-Gerät.

Mit diesem kleinen Skript erzeuge ich (je nach Anzahl der Verzeichnisse) ein Vorschaubild für den Inhalt von Unterordnern:

{{{for i in ls -1d ? do

# Neu: entferne alles hinter erstem Bindestrich+Leerzeichen, Trimming.

# ein trim.sed fehlt.

done

}}}

OSM & BikeAtor@A780

Sounddateien (AMR) konvertieren:

1. Schritt: AMR -> RAW

$  20090113140735.amr 20090113140735.raw
===================================================================
 TS 26.104
 REL-5 V5.4.0 2004-03
 REL-6 V6.1.0 2004-03
 3GPP AMR Floating-point Speech Decoder
===================================================================

Decoded 44750 frames.

2. Schritt: RAW -> WAV

sox -V3 -r 8000 -w -c 1 -s  20090113140735.raw -w -c 1 20090113140735.wav
sox: SoX v14.0.1

Input File     : '20090113140735.raw'
Sample Size    : 16-bit (2 bytes)
Sample Encoding: signed (2's complement)
Channels       : 1
Sample Rate    : 8000
Endian Type    : little
Reverse Nibbles: no
Reverse Bits   : no


Output File    : '20090113140735.wav'
Sample Size    : 16-bit (2 bytes)
Sample Encoding: signed (2's complement)
Channels       : 1
Sample Rate    : 8000
Endian Type    : little
Reverse Nibbles: no
Reverse Bits   : no
Comment        : 'Processed by SoX'

sox sox: effects chain: input      8000Hz 1 channels 16 bits (multi)
sox sox: effects chain: output     8000Hz 1 channels 16 bits (multi)

3. Schritt: Synchronisation

Ich starte in der Regel den Audiorecorder, bevor Bikeator Empfang hat (und damit die GPX-Aufzeichnung beginnt). Die Dateinamen zeigen jeweils den Beginn der Aufzeichnung an. Im Beispiel beginnt die Tonaufzeichnung um 14:07:35 und damit 1:07 vor der GPX-Aufzeichnung. Daher lösche ich die ersten 67 Sekunden der WAV-Datei - z.B. mit Audacity. Anschließend lässt sich die Spur mit JOSM vertonen.

Wurde umgekehrt die Audioaufzeichnung nachträglich gestartet, editiere ich die GPX-Aufzeichnung so, dass sie mit einem Trackpoint (trkpt) beginnt, dessen Zeitstempel dem Dateinamen der Audiospur entspricht (Punkte löschen, Zeitstempel anpassen).

Geometrie

Auf http://www.tiburski.de/ werden interaktive Geometrieübungen (2D und 3D) geboten. Außerdem gibt es mehrere Tutorials für die 3D-Modellierung (VRML) - allerdings mit proprietärer Software.

Unter Linux gibt es: whitedune, mm3d, therion? und natürlich povray.

vgl. auch http://www.tiburski.de/cybernautenshop/virtuelle_schule/dfu/geonet_koerper/viereck_index.htm

Casio Classpad in Wine

usb 1-2: configuration #1 chosen from 1 choice usb 1-2: New USB device found, idVendor=07cf, idProduct=6101 usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0 usb 1-2: Product: CESG502 usb 1-2: Manufacturer: CASIO COMPUTER CO., LTD. usb 1-2: USB disconnect, address 16

}}}

Herunterladen von Youtube

Filme umwandeln und brennen:

Neue Software

ToDo:

Debian-Pakete remastern

italc-client_0.9.6.2+cvs0.9.7-0 und italc-master_0.9.6.2+cvs0.9.7-0 sind unter Etch nicht verwendbar, da eine Abhänigkeit nicht aufzulösen ist ("Hängt ab: libqt3c102-mt (>= 3:3.3.4) ist aber nicht installierbar"):

apt-get install libqt3c102-mt
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Paket libqt3c102-mt ist nicht verfügbar, wird aber von einem anderen
Paket referenziert. Das kann heißen, dass das Paket fehlt, dass es veraltet
ist oder nur aus einer anderen Quelle verfügbar ist.
Doch die folgenden Pakete ersetzen es:
  libqt3-mt

Um die Abhängigkeit zu ändern, laden wir das Paket von http://developer.skolelinux.org/~winnie/debs/italc/ und entpacken es:

# cd /tmp
# wget http://developer.skolelinux.org/~winnie/debs/italc/italc-client_0.9.6.2+cvs0.9.7-0.skolelinux.2_i386.deb
# wget http://developer.skolelinux.org/~winnie/debs/italc/italc-master_0.9.6.2+cvs0.9.7-0.skolelinux.2_i386.deb
# dpkg-deb -x italc-client_0.9.6.2+cvs0.9.7-0.skolelinux.2_i386.deb itc
# dpkg-deb -x italc-master_0.9.6.2+cvs0.9.7-0.skolelinux.2_i386.deb itm

Nun benötigen wir noch je ein DEBIAN-Verzeichnis in itc bzw. itm - wer hilft mit, die Abhängigkeit von libqt3c102 zu ändern in libqt3-mt?

Moodle-Installation

Moodle 1.8.2 von Moodle.org in /home/moodle entpackt.

Zur Autentifizierung unterschiedliche PHP-Module nachinstalliert, z.B. apt-get install php4_imap. Nun muss das zughörige Modul, das man in /usr/lib/php4/20020429/ findet, noch aktiviert werden: In /etc/php4/apache2/php.ini eintragen:

extension_dir="/usr/lib/php4/20020429/"

# Je nach Bedarf und Installation
extension=mysql.so
extension=gd.so
extension=curl.so
extension=pam_auth.so
extension=ldap.so
extension=imap.so


So funktioniert der Sound auch für Flashanwendungen aus Mozilla heraus (tempostand, youtube):

#apt-get install alsa-oss
# vi /etc/mozilla/mozillarc
## Vorher: none
MOZILLA_DSP="aoss"


Googleearth 4.0.2414-1 läuft auf dem Terminalserver! Schneller geht es, wenn der Cache "lokal" auf dem LTSP liegt. Dazu vor Start von Googleearth folgende 3 Zeilen ausführen lassen:

$ mkdir -p /tmp/GoogleEarth/$USER/Cache
$ rm -rf ~/.googleearth/Cache
$ ln -s /tmp/GoogleEarth/$USER/Cache ~/.googleearth/Cache

Und hier bietet DIERCKE Karten zur Einbindung in Google-Earth.


Alten Schönheitsfehler (bug 1019) behoben: In /etc/auto.master hinzufügen:

 /skole   ldap:ou=automount,dc=skole,dc=skolelinux,dc=no


Fernzugriff auf Dateien

Protokoll/Server

Linux-Konsole

Konqueror

Windows-Client

sftp/ssh

sftp

fish://

winsftp ?

webdav/?

eldav?

webdav://

explorer

Alternativen finden mit LinuxSignpost

Samba Austauschverzeichnisse: Damit Kursteilnehmer einer Gruppe "kurs" gemeinsam ein Austauschverzeichnis [course] nutzen können, das unter /skole/tjener/home0/Tausch liegt, muss folgendes gegeben sein:

chgrp -R kurs /skole/tjener/home0/Tausch}}}

{{{[Course]

}}}

qtparted

# cd /tmp
# wget http://prdownloads.sourceforge.net/qtparted/qtparted-0.4.5.tar.bz2?download
# tar -xf qtparted-0.4.5.tar.bz2
# cd qtparted-0.4.5
# apt-get install uuid-dev libparted1.7-dev unsermake
# ./configure
# vi src/qp_libparted.h
## einfügen hinter #include "qp_devlist.h"

  #ifndef PED_SECTOR_SIZE
  #define PED_SECTOR_SIZE PED_SECTOR_SIZE_DEFAULT
  #endif
## :x

# unsermake
 

rsnapshot: Mit diesem Tool kann man Verzeichnisse (z.B. home0) auf externen Datenträgern (auch FAT32) sichern, ohne die individuellen Dateirechte zu verlieren. rsnapshot erzeugt einen inkrementellen Schnappschuss der Dateirechte.

Security: Verschlüsselte Partitionen

FOSS-Edu:

Non-Free:

Verweise

Bugfixing: http://bugs.skolelinux.no/buglist.cgi?short_desc_type=allwordssubstr&short_desc=&version=sarge-pr06&version=sarge-pr07

KDE anti-aliasing

~/.kde/share/config/kdeglobals? /etc/skel/.kde/share/config/...kdeglobals /etc/kde3/system.kdeglobals?

Nagios Bugfix

Es fehlt unter Pre06 der Nutzer nagiosadmin. Dazu sind die folgenden beiden Befehle einzugeben, nach der ersten Zeile muss das Passwort zweimal eingegeben werden:

htpasswd -c /etc/nagios/htpasswd.users nagiosadmin
chown www-data.www-data /etc/nagios/htpasswd.users

Laut http://bugs.skolelinux.no/show_bug.cgi?id=1026 hat Nagios weitere Konfigurationsmängel, so dass überlegt wird, es ganz durch Munin zu ersetzen.

Das Problem ist im DailyBuild vom 27.1.06 behoben.

Erkenntnisse

lrwxrwxrwx 1 root root 33 2006-04-23 14:01 /dev/hda8 -> ide/host0/bus0/target0/lun0/part8

# ls -l /dev/ide/host0/bus0/target0/lun0/part8 brw-rw


1 root disk 3, 8 2006-04-23 14:01 /dev/ide/host0/bus0/target0/lun0/part8}}}

 kernel          /boot/vmlinuz-2.6.15-1-k7 root=0308 ro vga=791

# Für USB-Scanner Kommentarzeichen (Raute) entfernen: /dev/usb/scanner0 bus=usb }}}

found USB scanner (vendor=0x04a5 [Color], product=0x20b0 [ FlatbedScanner 23]) at libusb:002:006}}}

Speicherfresser (home0)

ls -la /skole/tjener/home0/*/.xsession-errors |sort -n +4   # alle oder nur die größten löschen!
rm /skole/tjener/home0/*/.xsession-errors
rm -rf /skole/tjener/home0/*/.mozilla/default/*/Cache

Natürlich ist es besser zu sehen, wer und warum diese Fehlermeldungen erhielt.

eps2svg

Mit GeoGebra konnte ich einen schönen Graphen zeichnen und als EPS exportieren. Zur weiteren Verarbeitung mit InkScape, XaraLX oder Skencil musste die Datei konvertiert werden. Die Anleitung dazu fand ich in einem fremden Wiki - nach folgenden Schritten war ich am Ziel:

eps2eps LKW1.eps LKW1a.eps
ps2epsi LKW1a.eps LKW1b.ps
pstoedit -f sk LKW1b.ps LKW1b.sk
skencil LKW1b.sk

LZ-61

lspci

        0000:01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE] (prog-if 00 [VGA])
        Subsystem: PC Partner Limited: Unknown device 7118
        Flags: bus master, stepping, 66MHz, medium devsel, latency 32, IRQ 193
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at c800 [size=256]
        Memory at dfef0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

XFree86: mit "ati" oder "radeon" max. 600x400 -- mit "vesa" max. 60 Hz

uname -a {{{Linux dhcp319.intern 2.6.8-2-386 #1 Tue Aug 16 12:46:35 UTC 2005 i686 GNU/Linux

Debian GNU/Linux edu _Sarge_ - Unofficial i386 Binary-1 (20051208) }}}

Lehrer 2

lspci

        0000:01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1) (prog-if 00 [VGA])
        Subsystem: PROLINK Microsystems Corp: Unknown device 1152
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 10
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at fe9e0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0

läuft mit 85 Hz (Treiber: nv) (./)

Anders die Soundkarte, die mit dem neuen 2.6er Kernel (2.6.15-1-686) nicht mehr geht:

        0000:00:1f.5 Multimedia audio controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
        Subsystem: Asustek Computer, Inc.: Unknown device 810d
        Flags: bus master, medium devsel, latency 0, IRQ 209
        I/O ports at e800 [size=256]
        I/O ports at ee80 [size=64]
        Memory at febff800 (32-bit, non-prefetchable) [size=512]
        Memory at febff400 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

TaskForceTeams

PHP: Testskoler

Scripte unter http://skolelinux.no/slschools/ und tw. im CVS (alt). Scripte für Karten unter http://www.skolelinux.no/testskoler/map/

Inzwischen habe ich mich etwas in PHP eingearbeitet und auf http://wiki.debian.org/DebianEdu/Teams/Cartography beschrieben, wie mit dem neuen xplanet weiterhin aktuelle Karten gezeichnet werden können.

Spiele sperren auf LTSP

chown :games /usr/games/supertux
chown  -R :games /usr/games

chmod o-x /usr/games/supertux
chmod -R u-x /usr/games

Freigabe mit

chmod o+x /usr/games/supertux
chmod -R u+x /usr/games

Ooo 2.4 in Debian unstable

# apt-get -t unstable install libhunspell-1.2-0 eclipse-openoffice.org-java openoffice.org-thesaurus-de openoffice.org-l10n-de openoffice.org-hyphenation-de openoffice.org-help-de openoffice.org-dev openoffice.org  openoffice.org-kde
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Reading state information... Fertig
The following packages were automatically installed and are no longer required:
  gtk2-engines-pixbuf libedataserver1.2-7 gtk2-engines-spherecrystal
Use 'apt-get autoremove' to remove them.
Die folgenden zusätzlichen Pakete werden installiert:
  ant ant-gcj ant-optional ant-optional-gcj bsh bsh-gcj capplets-data compiz-core compiz-gnome compiz-gtk compiz-kde
  compiz-plugins cpp-4.3 dmake ecj ecj-gcj eclipse eclipse-gcj eclipse-jdt eclipse-jdt-gcj eclipse-openoffice.org-core
  eclipse-pde eclipse-pde-gcj eclipse-platform eclipse-platform-gcj eclipse-rcp eclipse-rcp-gcj eclipse-source fastjar
  gappletviewer-4.3 gcc-4.3 gcc-4.3-base gcj-4.2-base gcj-4.3 gcj-4.3-base gij-4.2 gij-4.3 gjdoc gnome-control-center
  gnome-icon-theme gnome-settings-daemon java-gcj-compat java-gcj-compat-dev java-gcj-compat-headless junit junit4 libbcel-java
  libblas3gf libcamel1.2-11 libcommons-beanutils-java libcommons-collections-java libcommons-collections3-java
  libcommons-dbcp-java libcommons-digester-java libcommons-el-java libcommons-launcher-java libcommons-logging-java
  libcommons-modeler-java libcommons-pool-java libcurl3 libdecoration0 libebook1.2-9 libecj-java libecj-java-gcj
  libedataserver1.2-9 libgcc1 libgcj-bc libgcj-common libgcj8-1 libgcj8-1-awt libgcj8-jar libgcj9-0 libgcj9-0-awt libgcj9-dev
  libgcj9-jar libgcj9-src libgfortran3 libgnome-desktop-2 libgnome-window-settings1 libgnomekbd-common libgnomekbd2
  libgnomekbdui2 libgomp1 libhsqldb-java libhyphen0 libicu38 libjaxp1.3-java libjaxp1.3-java-gcj libjline-java libjsch-java
  liblapack3gf liblog4j1.2-java liblog4j1.2-java-gcj liblucene-java liblucene-java-doc libmetacity0 libmozjs0d libmpfr1ldbl
  libmx4j-java libnautilus-extension1 libneon27 libnss3-1d libpango1.0-0 libpango1.0-common libpango1.0-dev libregexp-java
  libservlet2.4-java libslab0 libssh2-1 libstdc++6 libstlport4.6-dev libstlport4.6ldbl libsuitesparse-3.1.0 libswt3.2-gtk-gcj
  libswt3.2-gtk-java libswt3.2-gtk-jni libthai0 libtomcat5.5-java libwnck22 libxalan2-java libxalan2-java-gcj libxerces2-java
  libxerces2-java-gcj libxklavier12 libxmlsec1-nss libxul-common libxul0d lp-solve metacity-common openoffice.org-base
  openoffice.org-base-core openoffice.org-calc openoffice.org-common openoffice.org-core openoffice.org-draw
  openoffice.org-filter-binfilter openoffice.org-filter-mobiledev openoffice.org-impress openoffice.org-java-common
  openoffice.org-math openoffice.org-officebean openoffice.org-style-andromeda openoffice.org-style-crystal
  openoffice.org-style-tango openoffice.org-writer openoffice.org-writer2latex python-uno ttf-opensymbol
Vorgeschlagene Pakete:
  ant-doc javacc jython libbsf-java libcommons-net-java libgnumail-java libjdepend-java liboro-java
  libxml-commons-resolver1.1-java bsh-doc gnome-themes gcc-4.3-locales gcc-4.3-doc gcc-4.3-multilib libgcc1-dbg libgomp1-dbg
  libmudflap0-4.3-dbg libmudflap0-4.3-dev libgcj9-dbg gcj-4.2 esound-clients gnome-screensaver xscreensaver xrdb junit-doc
  libbcel-java-doc libcommons-beanutils-java-doc libcommons-collections3-java-doc libavalon-framework-java liblogkit-java
  classpath-doc libgcj8-dbg libgcj-doc libhsqldb-java-doc libhsqldb-java-gcj libjline-java-doc tomcat5.5 ttf-kochi-mincho
  ttf-arphic-gbsn00lp ttf-arphic-gkai00mp ttf-arphic-bkai00mp libpango1.0-doc libservlet2.4-java-gcj libxalan2-java-doc
  libxsltc-java libxerces2-java-doc gstreamer0.10-ffmpeg gstreamer0.10-plugins-bad gstreamer0.10-plugins-ugly hunspell-dictionary
  openclipart-openoffice.org openoffice.org-help-2.4 openoffice.org-hyphenation openoffice.org-l10n-2.4 openoffice.org2-thesaurus
  libmyodbc odbc-postgresql libsqliteodbc tdsodbc mdbtools libmysql-java libpg-java libsapdbc-java openoffice.org-gcj
  openoffice.org-report-builder openoffice.org-style-hicontrast openoffice.org-style-industrial c-shell libmythes-dev
  openoffice.org-dev-doc openoffice.org2-thesaurus-de crystalcursors kde-icons-crystal tango-icon-theme
Empfohlene Pakete:
  evolution-data-server gnome-session gnome-user-guide
Die folgenden Pakete werden ENTFERNT:
  gnome-themes-extras libcamel1.2-8 libebook1.2-5 libnss3-0d libstlport4.6c2 libswt-mozilla-gtk-3.1 libswt-mozilla-gtk-3.1-jni
Die folgenden NEUEN Pakete werden installiert:
  ant ant-gcj ant-optional ant-optional-gcj bsh bsh-gcj cpp-4.3 dmake ecj ecj-gcj eclipse eclipse-gcj eclipse-jdt eclipse-jdt-gcj
  eclipse-openoffice.org-core eclipse-openoffice.org-java eclipse-pde eclipse-pde-gcj eclipse-platform eclipse-platform-gcj
  eclipse-rcp eclipse-rcp-gcj eclipse-source fastjar gappletviewer-4.3 gcc-4.3 gcj-4.2-base gcj-4.3 gcj-4.3-base gij-4.2 gij-4.3
  gjdoc gnome-settings-daemon java-gcj-compat java-gcj-compat-dev java-gcj-compat-headless junit junit4 libbcel-java libblas3gf
  libcamel1.2-11 libcommons-beanutils-java libcommons-collections-java libcommons-collections3-java libcommons-dbcp-java
  libcommons-digester-java libcommons-el-java libcommons-launcher-java libcommons-logging-java libcommons-modeler-java
  libcommons-pool-java libebook1.2-9 libecj-java libecj-java-gcj libedataserver1.2-9 libgcj-bc libgcj8-1 libgcj8-1-awt
  libgcj8-jar libgcj9-0 libgcj9-0-awt libgcj9-dev libgcj9-jar libgcj9-src libgfortran3 libgnomekbd-common libgnomekbd2
  libgnomekbdui2 libgomp1 libhunspell-1.2-0 libhyphen0 libicu38 libjaxp1.3-java-gcj libjline-java libjsch-java liblapack3gf
  liblog4j1.2-java liblog4j1.2-java-gcj liblucene-java liblucene-java-doc libmpfr1ldbl libmx4j-java libneon27 libnss3-1d
  libregexp-java libservlet2.4-java libslab0 libssh2-1 libstlport4.6-dev libstlport4.6ldbl libsuitesparse-3.1.0 libswt3.2-gtk-gcj
  libswt3.2-gtk-java libswt3.2-gtk-jni libtomcat5.5-java libwnck22 libxalan2-java libxalan2-java-gcj libxerces2-java
  libxerces2-java-gcj libxklavier12 openoffice.org openoffice.org-base openoffice.org-base-core openoffice.org-calc
  openoffice.org-common openoffice.org-core openoffice.org-dev openoffice.org-draw openoffice.org-filter-binfilter
  openoffice.org-filter-mobiledev openoffice.org-help-de openoffice.org-hyphenation-de openoffice.org-impress
  openoffice.org-java-common openoffice.org-kde openoffice.org-l10n-de openoffice.org-math openoffice.org-officebean
  openoffice.org-style-andromeda openoffice.org-style-crystal openoffice.org-style-tango openoffice.org-thesaurus-de
  openoffice.org-writer openoffice.org-writer2latex python-uno ttf-opensymbol
Die folgenden Pakete werden aktualisiert:
  capplets-data compiz-core compiz-gnome compiz-gtk compiz-kde compiz-plugins gcc-4.3-base gnome-control-center gnome-icon-theme
  libcurl3 libdecoration0 libgcc1 libgcj-common libgnome-desktop-2 libgnome-window-settings1 libhsqldb-java libjaxp1.3-java
  libmetacity0 libmozjs0d libnautilus-extension1 libpango1.0-0 libpango1.0-common libpango1.0-dev libstdc++6 libthai0
  libxmlsec1-nss libxul-common libxul0d lp-solve metacity-common
30 aktualisiert, 127 neu installiert, 7 zu entfernen und 1568 nicht aktualisiert.
Es müssen 360MB Archive geholt werden.
After this operation, 779MB of additional disk space will be used.
Möchten Sie fortfahren [J/n]? J
...
Richte capplets-data ein (2.22.0-2) ...

Richte gnome-icon-theme ein (2.22.0-1) ...
Richte libgnome-desktop-2 ein (2.22.1-1) ...

Richte libgnomekbd-common ein (2.22.0-1) ...

Richte libpango1.0-common ein (1.20.2-2) ...
Cleaning up font configuration of pango...
Cleaning up category xfont..
Updating font configuration of pango...
Cleaning up category xfont..
Updating category xfont..

Richte libthai0 ein (0.1.9-3) ...

Richte libpango1.0-0 ein (1.20.2-2) ...

Richte libxklavier12 ein (3.5-1) ...

Richte libgnomekbd2 ein (2.22.0-1) ...

Richte gnome-settings-daemon ein (2.22.1-1) ...

Richte libedataserver1.2-9 ein (2.22.1-1) ...

Richte libnss3-1d ein (3.12.0~beta3-1) ...

Richte libcamel1.2-11 ein (2.22.1-1) ...

Richte libebook1.2-9 ein (2.22.1-1) ...

Richte libgnome-window-settings1 ein (2.22.0-2) ...

Richte libgnomekbdui2 ein (2.22.0-1) ...

Richte metacity-common ein (2.22.0-1) ...

Richte libmetacity0 ein (2.22.0-1) ...

Richte libnautilus-extension1 ein (2.20.0-3) ...

Richte libslab0 ein (0.9.8.svn.20070430-1.1) ...

Richte gnome-control-center ein (2.22.0-2) ...

Richte libpango1.0-dev ein (1.20.2-2) ...
Richte libxmlsec1-nss ein (1.2.9-5+b2) ...

Richte libmozjs0d ein (1.8.1.13-1) ...

Richte libxul-common ein (1.8.1.13-1) ...
Richte libxul0d ein (1.8.1.13-1) ...

Richte compiz-core ein (0.6.3~git20080115.0ea58487-1) ...
Richte libdecoration0 ein (0.6.3~git20080115.0ea58487-1) ...

Richte libwnck22 ein (2.22.1-1) ...

Richte compiz-gtk ein (0.6.3~git20080115.0ea58487-1) ...

Richte compiz-gnome ein (0.6.3~git20080115.0ea58487-1) ...
Richte compiz-plugins ein (0.6.3~git20080115.0ea58487-1) ...

Richte compiz-kde ein (0.6.3~git20080115.0ea58487-1) ...
Richte fastjar ein (0.95-1) ...

Richte gcj-4.3-base ein (4.3.0-2) ...
Richte libgcj-common ein (4.3.0-4) ...

Richte libgcj9-0 ein (4.3.0-2) ...

Richte gij-4.3 ein (4.3.0-2) ...

Richte libgcj-bc ein (4.3.0-4) ...
Richte libgcj9-jar ein (4.3.0-2) ...
Richte liblog4j1.2-java ein (1.2.15-2) ...
Richte libgcj9-0-awt ein (4.3.0-2) ...
Richte libregexp-java ein (1.4-4) ...

Richte libecj-java ein (3.3.0+0728-9) ...
Richte ecj ein (3.3.0+0728-9) ...

Richte libecj-java-gcj ein (3.3.0+0728-9) ...

Richte ecj-gcj ein (3.3.0+0728-9) ...
Richte gappletviewer-4.3 ein (4.3.0-2) ...
Richte libmpfr1ldbl ein (2.3.1.dfsg.1-2) ...

Richte cpp-4.3 ein (4.3.0-3) ...
Richte libgomp1 ein (4.3.0-3) ...

Richte gcc-4.3 ein (4.3.0-3) ...
Richte gcj-4.2-base ein (4.2.3-3) ...
Richte libgcj8-1 ein (4.2.3-3) ...

Richte gij-4.2 ein (4.2.3-3) ...

Richte gjdoc ein (0.7.8-10) ...

Richte libjaxp1.3-java ein (1.3.04-2) ...
Richte libxerces2-java ein (2.9.1-1) ...
Richte ant ein (1.7.0-5) ...
Richte ant-gcj ein (1.7.0-5) ...

Richte ant-optional ein (1.7.0-5) ...
Richte ant-optional-gcj ein (1.7.0-5) ...

Richte libjline-java ein (0.9.94-1) ...
Richte bsh ein (2.0b4-7) ...

Richte bsh-gcj ein (2.0b4-7) ...

Richte libswt3.2-gtk-jni ein (3.2.2-5) ...
Richte libswt3.2-gtk-java ein (3.2.2-5) ...
Richte eclipse-rcp ein (3.2.2-5) ...

Richte libjsch-java ein (0.1.37-3) ...
Richte liblucene-java ein (1.4.3.dfsg-3) ...
Richte liblucene-java-doc ein (1.4.3.dfsg-3) ...

Richte libcommons-collections3-java ein (3.2-1) ...
Richte libcommons-pool-java ein (1.3-1) ...

Richte libcommons-collections-java ein (2.1.1-8) ...

Richte libcommons-dbcp-java ein (1.2.2-1) ...
Richte libservlet2.4-java ein (5.0.30-7) ...
Richte libcommons-el-java ein (1.0-4) ...
Richte libcommons-logging-java ein (1.1.1-1) ...

Richte libcommons-launcher-java ein (1.1-3) ...
Richte libcommons-beanutils-java ein (1.8.0~beta-1) ...
Richte libcommons-digester-java ein (1.8-1) ...

Richte junit ein (3.8.2-1) ...
Richte junit4 ein (4.3.1-4) ...
Richte libswt3.2-gtk-gcj ein (3.2.2-5) ...

Richte eclipse-rcp-gcj ein (3.2.2-5) ...

Richte libgfortran3 ein (4.3.0-3) ...

Richte libblas3gf ein (1.2-1.5) ...

Richte libssh2-1 ein (0.18-1) ...

Richte libcurl3 ein (7.18.0-1+b1) ...

Richte libgcj8-1-awt ein (4.2.3-3) ...
Richte libgcj8-jar ein (4.2.3-3) ...
Richte libhsqldb-java ein (1.8.0.9-2) ...

Richte libhunspell-1.2-0 ein (1.2.2~b2~20080401-4) ...

Richte libhyphen0 ein (2.3.1-3) ...

Richte libicu38 ein (3.8.1-1) ...

Richte libjaxp1.3-java-gcj ein (1.3.04-2) ...

Richte liblapack3gf ein (3.1.1-0.4) ...

Richte liblog4j1.2-java-gcj ein (1.2.15-2) ...

Richte libneon27 ein (0.28.2-1) ...

Richte libstlport4.6ldbl ein (4.6.2-3.2) ...

Richte libstlport4.6-dev ein (4.6.2-3.2) ...

Richte libsuitesparse-3.1.0 ein (3.1.0-3) ...

Richte libxalan2-java ein (2.7.1-1) ...
Richte libxerces2-java-gcj ein (2.9.1-1) ...

Richte libxalan2-java-gcj ein (2.7.1-1) ...

Richte lp-solve ein (5.5.0.10-10) ...
Richte openoffice.org-base-core ein (2.4.0-3+b1) ...
Richte ttf-opensymbol ein (2.4.0-3) ...
Updating fontconfig cache...

Richte openoffice.org-l10n-de ein (2.4.0-3) ...
Richte dmake ein (4.12-1) ...
Richte libbcel-java ein (5.2-3) ...
Richte libmx4j-java ein (3.0.2-1) ...
Richte java-gcj-compat-headless ein (1.0.78-1) ...

Richte java-gcj-compat ein (1.0.78-1) ...
Richte libcommons-modeler-java ein (2.0.1-4) ...
Richte libtomcat5.5-java ein (5.5.25-5) ...
Richte eclipse-platform ein (3.2.2-5) ...
Richte eclipse-jdt ein (3.2.2-5) ...
Richte eclipse-pde ein (3.2.2-5) ...
Richte eclipse-source ein (3.2.2-5) ...
Richte eclipse ein (3.2.2-5) ...

Richte eclipse-jdt-gcj ein (3.2.2-5) ...

Richte eclipse-pde-gcj ein (3.2.2-5) ...

Richte eclipse-platform-gcj ein (3.2.2-5) ...

Richte eclipse-openoffice.org-core ein (1.0.3.a-1) ...
Richte eclipse-openoffice.org-java ein (1.0.3.a-1) ...
Richte libgcj9-dev ein (4.3.0-2) ...
Richte openoffice.org-style-andromeda ein (2.4.0-3) ...
Richte gcj-4.3 ein (4.3.0-2) ...

Richte java-gcj-compat-dev ein (1.0.78-1) ...

Richte eclipse-gcj ein (3.2.2-5) ...
Richte libgcj9-src ein (4.3.0-2) ...
Richte openoffice.org-common ein (2.4.0-3) ...
Installiere neue Version der Konfigurationsdatei /etc/openoffice/psprint.conf ...
Installiere neue Version der Konfigurationsdatei /etc/openoffice/sofficerc ...
Installiere neue Version der Konfigurationsdatei /etc/bash_completion.d/ooffice.sh ...
Updating OpenOffice.org's dictionary list... done.

Richte openoffice.org-core ein (2.4.0-3+b1) ...
Richte openoffice.org-java-common ein (2.4.0-3) ...
Richte openoffice.org-base ein (2.4.0-3+b1) ...

Richte openoffice.org-calc ein (2.4.0-3+b1) ...

Richte openoffice.org-draw ein (2.4.0-3+b1) ...

Richte openoffice.org-filter-binfilter ein (2.4.0-3+b1) ...

Richte openoffice.org-filter-mobiledev ein (2.4.0-3) ...
Richte openoffice.org-impress ein (2.4.0-3+b1) ...

Richte openoffice.org-math ein (2.4.0-3+b1) ...

Richte openoffice.org-officebean ein (2.4.0-3+b1) ...
Richte python-uno ein (2.4.0-3+b1) ...

Richte openoffice.org-writer ein (2.4.0-3+b1) ...

Richte openoffice.org-writer2latex ein (0.5-6) ...
Adding extension /usr/lib/openoffice/share/extension/install/writer2latex.uno.pkg... done.

Richte openoffice.org ein (2.4.0-3+b1) ...

Richte openoffice.org-dev ein (2.4.0-3+b1) ...
Richte openoffice.org-help-de ein (2.4.0-3) ...
Richte openoffice.org-hyphenation-de ein (2.4.0~m240-1) ...
Updating OpenOffice.org's dictionary list... done.

Richte openoffice.org-style-crystal ein (2.4.0-3) ...
Richte openoffice.org-kde ein (2.4.0-3+b1) ...
Richte openoffice.org-style-tango ein (2.4.0-3) ...
Richte openoffice.org-thesaurus-de ein (20070408-3) ...
Updating OpenOffice.org's dictionary list... done.

-- RalfGesellensetter 2008-04-14 17:57:34

Kword oder Openoffice

Idee: Wird Kword ohne Parameter (Dateiname) gestartet (dabei könnte es sich ja um eine kwd-Datei handeln!), wird empfohlen, besser Openoffice zu starten. Je nach Antwort wird fortgefahren.

Vorbereitungen:

{{{if [ "$1" = "" ] ; then ret=0 # eine Zeile: kdialog --yesno "Du hast das KDE Schreibprogramm KWord gestartet. Bist du sicher , dass du nicht lieber Openoffice.org Writer starten möchtest? \n Ja startet Kword \n Nein startet Openoffice.org Writer (empfohlen ab Klasse 7) " && ret=1

if [ $ret -eq 1 ] ; then

else #echo dann eben nicht $ret openoffice.org2.3 -writer $1 fi else

fi

}}}

RalfGesellensetter/Notizen (zuletzt geändert am 2013-11-03 12:11:23 durch anonym)

Alle Inhalte in diesem Wiki stehen unter der GPL.